﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinListView;

namespace UltraListViewWithCheckBox
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            for (int k = 0; k < 1000; k++)
            {
                UltraListViewItem it = new UltraListViewItem("Test item " + k.ToString(), new object[] {new Boolean(), "aa","aaa"});
                ultraListView1.Items.Add(it);

                ultraListView1.ItemSettings.SelectedAppearance.BackColor = Color.Red;
                ultraListView1.ItemSettings.Appearance.BackColor = Color.Yellow;
            }
        }
        private void ultraListView1_ItemActivating(object sender, Infragistics.Win.UltraWinListView.ItemActivatingEventArgs e)
        {
            if (e.Item.CheckState == CheckState.Checked) e.Item.CheckState = CheckState.Unchecked;
            else e.Item.CheckState = CheckState.Checked;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Selected Color: " + ultraListView1.ItemSettings.SelectedAppearance.BackColor.Name + Environment.NewLine + "Back Color : " + ultraListView1.ItemSettings.Appearance.BackColor.Name);
        }

        private void ultraListView1_ItemActivated(object sender, ItemActivatedEventArgs e)
        {
            if ((bool)e.Item.SubItems[0].Value) e.Item.SubItems[0].Value = false;
            else e.Item.SubItems[0].Value = true;
        }
    }
}
